Bug 799597 - Review Request: php-pecl-xhprof - A Hierarchical Profiler for PHP
Review Request: php-pecl-xhprof - A Hierarchical Profiler for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 05:35 EST by Remi Collet
Modified: 2012-05-26 18:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: php-pecl-xhprof-0.9.2-5.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-19 02:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-03-03 05:35:27 EST
Spec URL: https://raw.github.com/remicollet/remirepo/master/php-pecl-xhprof/php-pecl-xhprof.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-xhprof-0.9.2-3.remi.src.rpm
Description: 
XHProf is a function-level hierarchical profiler for PHP and has a simple HTML based navigational interface. The raw data collection component is implemented in C (as a PHP extension). The reporting/UI layer is all in PHP. It is capable of reporting function-level inclusive and exclusive wall times, memory usage, CPU times and number of calls for each function. Additionally, it supports ability to compare two runs (hierarchical DIFF reports), or aggregate results from multiple runs.


-- 
Koji scratch build
f17 (php 5.4) : http://koji.fedoraproject.org/koji/taskinfo?taskID=3848973
el6 (php 5.3) : http://koji.fedoraproject.org/koji/taskinfo?taskID=3849061

I want to keep Buildroot, %clean, ... to allow backport to old version, even if
no more needed in fedora
Comment 1 Remi Collet 2012-03-05 05:15:56 EST
* Mon Mar 05 2012 Remi Collet <remi@fedoraproject.org> - 0.9.2-4
- rename patches
- install html and lib under /usr/share/xhprof

https://github.com/remicollet/remirepo/commit/e83d13f2a5aa2a5f75802e91355ecf56c3e2460d

http://rpms.famillecollet.com/SRPMS/php-pecl-xhprof-0.9.2-4.remi.src.rpm
Comment 2 Johan Cwiklinski 2012-05-06 11:46:18 EDT
REVIEW : 
+ rpmlint is ok
 % rpmlint -i /var/lib/mock/fedora-16-x86_64/result/*.rpm
php-pecl-xhprof.src: W: spelling-error %description -l en_US profiler -> profile, profiles, profiled
The value of this tag appears to be misspelled. Please double-check.

php-pecl-xhprof.x86_64: W: spelling-error %description -l en_US profiler -> profile, profiles, profiled
The value of this tag appears to be misspelled. Please double-check.

xhprof.noarch: W: spelling-error %description -l en_US profiler -> profile, profiles, profiled
The value of this tag appears to be misspelled. Please double-check.

xhprof.noarch: W: spelling-error %description -l en_US pecl -> peck, peel, pecs
The value of this tag appears to be misspelled. Please double-check.

xhprof.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

4 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ package is named according to the  Package Naming Guidelines .
+ spec file name ok
+ The package meet the Packaging Guidelines and PHP Guidelines
+ license ok (ASL) and match upstream
+ license provided
+ spec file is legible
+ sources match upstream
ae40b153d157e6369a32e2c1a59a61ec  xhprof-0.9.2.tgz
+ source URL ok
+ build on F16 x86_64 (php 5.3.10)
+ build on mock
+ BuildRequires
+ no locale
+ no shared library (extension are not lib.)
+ no system library
+ own all directories that it creates
+ not list a file more than once in the spec 
+ Permissions on files are set properly.
+ %clean ok
+ consistently use macro
+ contain code
+ small doc, no sub package
+ doc not required to run
+ no -devel
+ no -static
+ no .pc
+ no .la
+ not own files or directories already owned by other packages
+ %install start with rm -rf $RPM_BUILD_ROOT
+ all files are UTF-8
+ %check ok (only load test)
+ load in httpd ok
+ test ok (after install)
+ scriptlet ok

***** APPROVED *****
Comment 3 Remi Collet 2012-05-06 12:57:45 EDT
Thanks for this review.

New Package SCM Request
=======================
Package Name: php-pecl-xhprof
Short Description: A Hierarchical Profiler for PHP
Owners: remi
Branches: f16 f17 el6
InitialCC:
Comment 4 Gwyn Ciesla 2012-05-06 16:58:04 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-05-07 02:23:15 EDT
php-pecl-xhprof-0.9.2-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pecl-xhprof-0.9.2-5.fc17
Comment 6 Fedora Update System 2012-05-07 02:24:16 EDT
php-pecl-xhprof-0.9.2-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-pecl-xhprof-0.9.2-5.fc16
Comment 7 Fedora Update System 2012-05-07 02:24:45 EDT
php-pecl-xhprof-0.9.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-xhprof-0.9.2-5.el6
Comment 8 Fedora Update System 2012-05-07 18:09:19 EDT
php-pecl-xhprof-0.9.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2012-05-19 02:56:52 EDT
php-pecl-xhprof-0.9.2-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Dan Horák 2012-05-22 06:56:44 EDT
Remi, I think this package should be made ExclusiveArch: %{i86} x86_64 because the cycle_timer() function using the RDTSC instruction is x86 specific.
Comment 11 Dan Horák 2012-05-22 07:24:30 EDT
(In reply to comment #10)
> Remi, I think this package should be made ExclusiveArch: %{i86} x86_64
> because the cycle_timer() function using the RDTSC instruction is x86
> specific.

And adding a ppc/ppc64 implementation of RDTSC will still make it fail to build on s390(x) and arm and others.
Comment 13 Dan Horák 2012-05-23 09:55:07 EDT
And thanks for the update :-)
Comment 14 Fedora Update System 2012-05-26 03:10:05 EDT
php-pecl-xhprof-0.9.2-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-05-26 18:06:50 EDT
php-pecl-xhprof-0.9.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.